One click filter action in activity view.
Status: Closed Start date: 2009-02-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.8.2   

Resolution: Fixed   

Description

Currently the 'workflow' on the activity view is that you de-/select

the checkboxes of the parts and press the apply button.

Yet it gets cumbersome if you want to check for example changes for the wiki only.

You have to deselect all but the wiki and click apply.

So in other words often you only want to see the activity for one item.

You do this often, so it would be very nice to have this need least amount of clicks.

I would suggest that by clicking on the name next to the checkbox (for example wiki),

the site would show only the activity for the given item.

Checkboxes plus apply functionality should remain.

The requested changed and feature is that clicking on the name/string shows the

activity view for the given item, instead of currently toggling the checkbox of

the given item.

Thank you!

Associated revisions

Revision 2534 - 2009-02-27 19:34 - Jean-Philippe Lang

Add links for one-click activity filtering (#2857).

History

#1 - 2009-02-27 19:33 - Jean-Philippe Lang

- Category set to UI

- Status changed from New to Resolved

- Target version set to 0.8.2

- Resolution set to Fixed

Committed in r2534. Thanks.

#2 - 2009-02-27 19:47 - Mischa The Evil

kju kju wrote:

The requested changed and feature is that clicking on the name/string shows the

activity view for the given item, instead of currently toggling the checkbox of

the given item.

 Great idea! I like it a lot...

Jean-Philippe Lang wrote:

Committed in r2534. Thanks.
 Great to see how fast such an improvement gets implemented by you... :thumbsup:

#3 - 2009-02-28 09:49 - Jean-Philippe Lang

Thanks, but it was an easy one.

#4 - 2009-02-28 11:50 - kju kju

Cheers. It is very much appreciated. :)

#5 - 2009-03-07 12:15 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2556.
